Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci.xa
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Statement

Direct Known Subclasses:
  PreparedStatement

public class Statement
extends java.lang.Object
implements java.sql.Statement

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addBatch(java.lang.String sql)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `execute(java.lang.String sql)`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String sql)`
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`int` | `getQueryTimeout()`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `setCursorName(java.lang.String name)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setMaxFieldSize(int max)`
`void` | `setMaxRows(int max)`
`void` | `setQueryTimeout(int seconds)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.Statement

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.Statement

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface java.sql.Statement

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Specified by:
    getUpdateCount in interface java.sql.Statement

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Specified by:
    getMoreResults in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Statement

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Statement

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Statement

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    setQueryTimeout in interface java.sql.Statement

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Specified by:
    getMaxRows in interface java.sql.Statement

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Specified by:
    setMaxRows in interface java.sql.Statement

### cancel

    public void cancel()
                throws java.sql.SQLException

  Specified by:
    cancel in interface java.sql.Statement

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Specified by:
    setEscapeProcessing in interface java.sql.Statement

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Specified by:
    setCursorName in interface java.sql.Statement

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Specified by:
    setMaxFieldSize in interface java.sql.Statement

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Specified by:
    getMaxFieldSize in interface java.sql.Statement

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Specified by:
    getQueryTimeout in interface java.sql.Statement

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.Statement

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    clearBatch in interface java.sql.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    executeBatch in interface java.sql.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD